class WordpressGrailsPlugin {
    // the plugin version
    def version = "0.1.3"
    // the version or versions of Grails the plugin is designed for
    def grailsVersion = "1.1.1 > *"
    // the other plugins this plugin depends on
    def dependsOn = ['quartz':'0.4.1']
    // resources that are excluded from plugin packaging
    def pluginExcludes = [
            "grails-app/views/error.gsp"
    ]

    // TODO Fill in these fields
    def author = "Luis Arias"
    def authorEmail = "luis.arias@pilango.com"
    def title = "Wordpress Plugin"
    def description = '''\\
The Wordpress plugin provides tags for pulling content from wordpress for display in grails.
'''

    // URL to the plugin's documentation
    def documentation = "http://grails.org/Wordpress+Plugin"

    def doWithSpring = {
    }

    def doWithApplicationContext = { applicationContext ->
        def wordpressService = applicationContext.getBean("wordpressService")
        try {
            wordpressService.init(
                application.config.wordpress.url,
                application.config.wordpress.blogId,
                application.config.wordpress.username,
                application.config.wordpress.password)
        } catch (Exception e) {
            log.error "An exception occurred while initializing wordpressService", e
        }
    }

    def doWithWebDescriptor = { xml ->
        // TODO Implement additions to web.xml (optional)
    }

    def doWithDynamicMethods = { ctx ->
        // TODO Implement registering dynamic methods to classes (optional)
    }

    def onChange = { event ->
        // TODO Implement code that is executed when any artefact that this plugin is
        // watching is modified and reloaded. The event contains: event.source,
        // event.application, event.manager, event.ctx, and event.plugin.
    }

    def onConfigChange = { event ->
        // TODO Implement code that is executed when the project configuration changes.
        // The event is the same as for 'onChange'.
    }
}
