import org.codehaus.groovy.grails.commons.ApplicationHolder

class UpdateCacheJob {
    def startDelay = ApplicationHolder.application.config.wordpress?.cache?.timeout ?: 60000
    def timeout = ApplicationHolder.application.config.wordpress?.cache?.timeout ?: 5 * 60000
    def group = 'wordpress'
    def concurrent = false
    def wordpressService

    def execute() {
        log.debug "Start Delay : ${startDelay}"
        log.debug "Timeout : ${timeout}"
        log.info "Refreshing recent posts cache"
        wordpressService.updateRecentPostsCache()
        log.info "Refreshing pages cache"
        wordpressService.updatePagesCache()
        log.info "Refreshing categories cache"
        wordpressService.updateCategoriesCache()
        log.info "Done"
    }
}
