import groovy.net.xmlrpc.XMLRPCServerProxy
import net.sf.ehcache.Element

class WordpressService {

    boolean transactional = false

    def wordpressCache

    String url
    int blogId
    String username
    String password

    void init(String url, int blogId, String username, String password) {
        this.url = url
        this.blogId = blogId
        this.username = username
        this.password = password
    }

    def getCategories() {
        def serverProxy = new XMLRPCServerProxy(url, true)
        def categories = serverProxy."wp.getCategories"(blogId, username, password)
        categories.sort {
            it.categoryName
        }
    }

    def getPage(String id) {
        def page = wordpressCache.get(id)?.value
        if (!page) {
            def serverProxy = new XMLRPCServerProxy(url, true)
            page = serverProxy."wp.getPage"(blogId, id, username, password)
            wordpressCache.put(new Element(id, page))
        }
        return page
    }

    def getRecentPosts(int count) {
        def serverProxy = new XMLRPCServerProxy(url, true)
        return serverProxy."metaWeblog.getRecentPosts"(blogId, username, password, count)
    }

    def getPost(String id) {
        def page = wordpressCache.get(id)?.value
        if (!page) {
            def serverProxy = new XMLRPCServerProxy(url, true)
            page = serverProxy."metaWeblog.getPost"(id, username, password)
            wordpressCache.put(new Element(id, page))
        }
        return page
    }
}
