class WordpressTagLib {
    static namespace = 'wordpress'

    def wordpressService
    
    def categories = {attrs, body ->
        try {
            def categories = wordpressService.getCategories()
            out << "<ul>"
            categories.each { category ->
                if (category.categoryName != 'Uncategorized') {
                    out << "<li>${category.categoryName}</li>"
                }
            }
            out << "</ul>"
        } catch (Exception e) {
            log.error "Cannot render wordpress categories tag", e
        }
    }

    def page = {attrs, body ->
        if (attrs.id) {
            try {
                def page = wordpressService.getPage(attrs.id)
                out << page.description
            } catch (Exception e) {
                log.error "Error rendering the wordpress page tag", e
            }
        }
    }

    def recentPosts = {attrs, body ->
        if (attrs.count && attrs.count?.isNumber()) {
            def count = attrs.count.toInteger()
            try {
                wordpressService.getRecentPosts(count).each { post ->
                    out << "<div class=\"post\">"
                    int pos = post.description.indexOf('<!--more-->')
                    String content = pos > 0 ? post.description.substring(0, pos) : post.description
                    out << content
                    out << '</div>'
                    out << "<div class=\"More\"><a href=\"${createLink(controller:'blog', action:'post', id:post.postid)}\">More</a></div><br /><br />"
                }
            } catch (Exception e) {
                log.error "Error rendering the wordpress recentPosts tag", e
            }
        } else {
            log.error "Missing or illegal count attribute in wordpress recentPosts tag : ${attrs.count}"
        }
    }
}
