package grails.plugins.wordpress.model

import org.hibernate.annotations.GenericGenerator
import javax.persistence.*

@Entity
class Post {
    @Id @GeneratedValue(generator='assigned')
    @GenericGenerator(name='assigned', strategy='assigned')
    Long id

    Date dateCreated

    Date dateCreatedGmt

    @ManyToOne
    User author

    String title
    
    String description

    String status

    @ManyToMany(fetch=FetchType.EAGER)
    Set <Category> categories

    String link

    String permaLink

    String excerpt

    String textMore

    boolean allowComments

    boolean allowPings

    @ManyToMany(fetch=FetchType.EAGER)
    Set <Tag> tags

    String slug

    String password

    String customFields

    @OneToMany
    List <Comment> comments
}
