package org.grails.plugins.wordpress.model

import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.GeneratedValue
import javax.persistence.Id
import javax.persistence.ManyToMany
import javax.persistence.ManyToOne

import org.hibernate.annotations.GenericGenerator

@Entity
class Page {

    @Id @GeneratedValue(generator='assigned')
    @GenericGenerator(name='assigned', strategy='assigned')
    Long id

    Date dateCreated

    Date dateCreatedGmt

    @ManyToOne
    User author

    String status

    String description

    String title

    String link

    String permaLink

    @ManyToMany(fetch=FetchType.EAGER)
    Set<Category> categories

    String excerpt

    String textMore

    boolean allowComments

    boolean allowPings

    String slug

    String password

    @ManyToOne
    Page parent

    String parentTitle

    String pageOrder

    String customFields

    String pageTemplate
}
