package org.grails.plugins.wordpress.model

import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.GeneratedValue
import javax.persistence.Id
import javax.persistence.ManyToMany
import javax.persistence.ManyToOne
import javax.persistence.OneToMany

import org.hibernate.annotations.GenericGenerator

@Entity
class Post {
    @Id @GeneratedValue(generator='assigned')
    @GenericGenerator(name='assigned', strategy='assigned')
    Long id

    Date dateCreated

    Date dateCreatedGmt

    @ManyToOne
    User author

    String title
    
    String description

    String status

    @ManyToMany(fetch=FetchType.EAGER)
    Set <Category> categories

    String link

    String permaLink

    String excerpt

    String textMore

    boolean allowComments

    boolean allowPings

    @ManyToMany(fetch=FetchType.EAGER)
    Set <Tag> tags

    String wpSlug

    String wpPassword

    String customFields

    @OneToMany
    List <Comment> comments
}
